<div class="p-formgrid grid">
  <div class="col-12">
    <p-card *ngIf="task" [header]="'Dead Letter Task: ' + task.id">
      <table>
        <thead>
          <tr>
            <th>Field</th>
            <th>Details</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Payload:</td>
            <td>{{ task.payload }}</td>
          </tr>
          <tr>
            <td>Erstellt am:</td>
            <td>{{ task.createdAt | date : 'medium' }}</td>
          </tr>
          <tr>
            <td>Fehlergrund:</td>
            <td>{{ task.failureReason }}</td>
          </tr>
        </tbody>
      </table>
      <div class="flex">
        <button
          pButton
          type="button"
          (click)="confirmRequeue()"
          label="Erneut in die Warteschlange stellen"
          class="m-2 px-5 py-3 p-button-info"
        ></button>
        <button
          pButton
          type="button"
          (click)="confirmDelete()"
          label="Löschen"
          class="m-2 px-5 py-3 p-button-danger"
        ></button>
      </div>
    </p-card>
  </div>
</div>
